@echo off
echo This script uploads a local parquet datalake folder, input_out/, to your S3 output bucket: %AWS_OUTPUT_BUCKET%.
echo.
echo Ensure that the Parquet data is structured as input_out/DEVICEID/... before proceeding. Uploading the data will incur transfer costs. 
echo.
pause
echo.
mc alias set myaws https://s3.%AWS_REGION%.amazonaws.com %AWS_ACCESS_KEY_ID% %AWS_SECRET_ACCESS_KEY% 
for /D %%d in (input_out\*) do (
    mc cp --recursive "%%d" myaws/%AWS_OUTPUT_BUCKET%/
)
echo.
echo.
pause